OPA roles:
- resource_admin
Updates a specified gateway
Security
bearerAuth
The default IP address used to access the gateway. This is generally supplied by the network interface or cloud provider metadata.
Example:"192.168.19.32"
- Production serverhttps://{org_name}.pam.okta.com/v1/teams/{team_name}/gateways/{gateway_id}
curl -i -X PUT \
'https://{org_name}.pam.okta.com/v1/teams/{team_name}/gateways/{gateway_id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"access_address": "192.168.190.144:7234",
"default_address": "192.168.19.32",
"description": "string",
"labels": {
"property1": "string",
"property2": "string"
},
"name": "ProductionGateway"
}'